clc; clear all; close all;
% rozdil sigmaX sigmaY sigmaZ tauXY zateznych stavu MAX/MIN
A=[-21263000	-3952900	-10474000	10479000
-45810000	-386800	-16970000	2119700
-70356000	3179300	-23466000	-6239900
-102260000	-18598000	-26969000	-35537000
-134170000	-40375000	-30473000	-64835000
-134120000	-88246000	-45675000	-89737000
-134060000	-136120000	-60878000	-114640000
-97868000	-186060000	-80795000	-97746000
-61675000	-236000000	-100710000	-80853000
-44775000	-241020000	-76024000	-56752000
1812800	-198050000	471910	-22410000

]

size(A);

%rovnice pro vypocet hlavnich napeti
% sigmaX=A(i,1);
% sigmaY=A(i,2);
% sigmaZ=A(i,3);
% tauXY=A(i,4);
% tauXZ=0;
% tauYZ=0;

%TENZOR NAPETI
for i= 1:11
sigmaX=A(i,1);
sigmaY=A(i,2);
sigmaZ=A(i,3);
tauXY=A(i,4);
tauXZ=0;
tauYZ=0;

B=[sigmaX tauXY tauXZ;
   tauXY sigmaY tauYZ;
   tauXZ tauYZ sigmaZ];
[V,D]=eig(B);
sigma_1=max(diag(D));
sigma_2=median(diag(D));
sigma_3=min(diag(D));
sigma_red=sqrt(1/2*(((sigma_1-sigma_2)^2)+((sigma_2-sigma_3)^2)+((sigma_1-sigma_3)^2)));
vektor(i)=[sigma_red]
fprintf('%d iterace sigma_1 = %d sigma_3 = %d sigma_red = %d \n',i,sigma_1,sigma_3, sigma_red);
end
format shortEng
disp('Vektor REDUKOVANYCH NAPETI:')
disp(vektor)
disp('Maximalni redukovany rozkmit[Pa]:')
[M,J]= max(vektor);
disp(M)

fprintf('maximum je v %d. iteraci \n', J)

%ekvivalentní redukované napětí

sigmaX_m=-2.43E+07/2;
sigmaY_m=-7.37E+07/2;
sigmaZ_m=-6.65E+07/2;
tauXY_m=-4.73E+06/2;
tauXZ=0;
tauYZ=0;
disp('***********************************************')
disp('ekvivalentní střední napětí - VYPOCET')

B_m=[sigmaX_m tauXY_m tauXZ;
   tauXY_m sigmaY_m tauYZ;
   tauXZ tauYZ sigmaZ_m];
[V_m,D_m]=eig(B_m);
sigma_1_m=max(diag(D_m))
sigma_2_m=median(diag(D_m));
sigma_3_m=min(diag(D_m))
disp('ekvivalentní střední napětí [Pa]:')

sigma_red_mean=sqrt(1/2*(((sigma_1_m-sigma_2_m)^2)+((sigma_2_m-sigma_3_m)^2)+((sigma_1_m-sigma_3_m)^2)));

fprintf('ekvivalentní střední napětí %.8f [MPa]\n',sigma_red_mean/1e6)









